Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.core.v3.actual.common
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.dics.core.v3.actual.common.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.dics.core.v3.actual.common package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.dics.core.v3.actual.common

Method Summary
`AmppComponentEquivalentKeyType` | `createAmppComponentEquivalentKeyType()` Create an instance of `AmppComponentEquivalentKeyType`
`AmppComponentKeyType` | `createAmppComponentKeyType()` Create an instance of `AmppComponentKeyType`
`DerogationImportKeyType` | `createDerogationImportKeyType()` Create an instance of `DerogationImportKeyType`
`DmppKeyType` | `createDmppKeyType()` Create an instance of `DmppKeyType`
`PackAmountType` | `createPackAmountType()` Create an instance of `PackAmountType`
`RealActualIngredientEquivalentKeyType` | `createRealActualIngredientEquivalentKeyType()` Create an instance of `RealActualIngredientEquivalentKeyType`
`RealActualIngredientKeyType` | `createRealActualIngredientKeyType()` Create an instance of `RealActualIngredientKeyType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.dics.core.v3.actual.common

Method Detail

### createDmppKeyType

    public DmppKeyType createDmppKeyType()

  Create an instance of `DmppKeyType`

### createRealActualIngredientKeyType

    public RealActualIngredientKeyType createRealActualIngredientKeyType()

  Create an instance of `RealActualIngredientKeyType`

### createPackAmountType

    public PackAmountType createPackAmountType()

  Create an instance of `PackAmountType`

### createRealActualIngredientEquivalentKeyType

    public RealActualIngredientEquivalentKeyType createRealActualIngredientEquivalentKeyType()

  Create an instance of `RealActualIngredientEquivalentKeyType`

### createAmppComponentKeyType

    public AmppComponentKeyType createAmppComponentKeyType()

  Create an instance of `AmppComponentKeyType`

### createDerogationImportKeyType

    public DerogationImportKeyType createDerogationImportKeyType()

  Create an instance of `DerogationImportKeyType`

### createAmppComponentEquivalentKeyType

    public AmppComponentEquivalentKeyType createAmppComponentEquivalentKeyType()

  Create an instance of `AmppComponentEquivalentKeyType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.